-- Table: public.apikeys

-- DROP TABLE IF EXISTS public.apikeys;

CREATE TABLE IF NOT EXISTS public.apikeys
(
    "KeyID" character varying(32) COLLATE pg_catalog."default" NOT NULL,
    "Name" character varying(255) COLLATE pg_catalog."default" NOT NULL,
    "UserAuthRequired" boolean NOT NULL DEFAULT true,
    "Hash" bytea NOT NULL,
    "CreationDate" timestamp without time zone NOT NULL DEFAULT now(),
    "LastChanged" timestamp without time zone NOT NULL DEFAULT now(),
    CONSTRAINT apikeys_pkey PRIMARY KEY ("KeyID")
)

TABLESPACE pg_default;

ALTER TABLE IF EXISTS public.apikeys
    OWNER to postgres;

COMMENT ON COLUMN public.apikeys."KeyID"
    IS 'UUID of API Key';

COMMENT ON COLUMN public.apikeys."Name"
    IS 'Name/Description of API Key';

COMMENT ON COLUMN public.apikeys."Hash"
    IS 'Hashed value of API Key';

COMMENT ON COLUMN public.apikeys."UserAuthRequired"
    IS 'Indication if this api key requires additional user authentication';

COMMENT ON COLUMN public.apikeys."CreationDate"
    IS 'Time of creation';

COMMENT ON COLUMN public.apikeys."LastChanged"
    IS 'Time of last modification';