CREATE TABLE IF NOT EXISTS public.user_permissions
(
    "UserID" character varying(10) COLLATE pg_catalog."default" NOT NULL,
    "Permission" character varying(250) COLLATE pg_catalog."default" NOT NULL,
    CONSTRAINT "DistinctUserPermission" UNIQUE ("UserID", "Permission"),
    CONSTRAINT "UserID" FOREIGN KEY ("UserID")
        REFERENCES public.users ("UserID") MATCH SIMPLE
        ON UPDATE NO ACTION
        ON DELETE NO ACTION
)

TABLESPACE pg_default;

ALTER TABLE IF EXISTS public.user_permissions
    OWNER to postgres;

COMMENT ON TABLE public.user_permissions
    IS 'Contains the permissions for every user';